using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace ASHermed.SinoInterface.Enum.App
{
    [Description("优惠券状态")]
    public enum CouponEnum
    {
        /// <summary>
        /// 新生成
        /// </summary>
        [Description("新生成")]
        NewGeneration = 0,

        /// <summary>
        /// 生效
        /// </summary>
        [Description("生效")]
        Effective = 1,

        /// <summary>
        /// 失效
        /// </summary>
        [Description("失效")]
        Invalid = 2,

    }

    public enum CouponTypeEnum
    {
        /// <summary>
        /// 满减券
        /// </summary>
        [Description("满减券")]
        FullReduction = 1,

        /// <summary>
        /// 叠加满减券
        /// </summary>
        [Description("叠加满减券")]
        Superposition = 2,

        /// <summary>
        /// 无门槛券
        /// </summary>
        [Description("无门槛券")]
        NoThreshold = 3,

        /// <summary>
        /// 折扣券
        /// </summary>
        [Description("折扣券")]
        Discount = 4,

        /// <summary>
        /// 免费券
        /// </summary>
        [Description("免费券")]
        Free = 5,

    }

    [Description("用户优惠券状态")]
    public enum CouponUserEnum
    {
        /// <summary>
        /// 已使用
        /// </summary>
        [Description("已使用")]
        Used = 1,

        /// <summary>
        /// 未使用
        /// </summary>
        [Description("未使用")]
        NotUsed = 0,

        /// <summary>
        /// 已过期
        /// </summary>
        [Description("已过期")]
        Expired = -1,

        /// <summary>
        /// 全部
        /// </summary>
        [Description("全部")]
        All = 999,
    }

    [Description("用户优惠券使用记录状态")]
    public enum CouponUserLogEnum
    {
        /// <summary>
        /// 新生成
        /// </summary>
        [Description("新生成")]
        NewGeneration = 0,

        /// <summary>
        /// 支付成功
        /// </summary>
        [Description("支付成功")]
        Success = 1,
    }
}
